.offers-page {
  padding: 33px 0 63px;

  @include screen-max($mobile) {
    padding: 26px 0 15px;
  }

  .offers {
    display: flex;
    gap: 36px;
    margin-top: 67px;
    margin-bottom: 74px;

    @include screen-max($mobile) {
      margin-top: 42px;
      margin-bottom: 32px;
    }
  }

  .section {
    &__count-products {
      font-size: calculateSize(18);
      line-height: calculateSize(36);
      font-weight: bold;
      color: $colorDark;

      @include screen-max($mobile) {
        font-size: calculateSize(14);
        line-height: calculateSize(18);
      }

      span {
        font-weight: 500;
      }
    }

    &__filter-mobile {
      display: none;
      align-items: center;
      font-size: calculateSize(14);
      line-height: calculateSize(18);
      font-weight: bold;
      color: $colorGreen;
      margin-left: auto;
      cursor: pointer;

      @include screen-max($mobile) {
        display: flex;
      }

      svg {
        margin-left: 12px;
      }
    }

    &__filters,
    &__products {
      margin-top: 45px;
    }

    &__filters {
      @include screen-max($mobile) {
        z-index: $indexFilterMobile;
        width: 100%;
        height: 100vh;
        overflow-x: hidden;
        overflow-y: auto;
        display: flex;
        flex-direction: column;
        align-items: start;
        position: fixed;
        left: 0;
        top: 0;
        transition: opacity .4s cubic-bezier(.55,0,.1,1);
        opacity: 0;
        pointer-events: none;
        background-color: #FFFFFF;
        padding: 90px 50px 140px;
        margin: 0;
      }

      &.open {
        opacity: 1;
        pointer-events: all;
        transition: opacity .4s cubic-bezier(.55,0,.1,1),transform .4s cubic-bezier(.55,0,.1,1);
      }

      &__title {
        font-size: calculateSize(22);
        line-height: calculateSize(27);
        font-weight: 700;
        color: $colorDark;
        margin-bottom: 21px;

        @include screen-max($mobile) {
          position: fixed;
          padding: 32px 50px 10px;
          background-color: #ffffff;
          left: 0;
          top: 0;
          z-index: 1;
          width: 100%;
          margin: 0;
        }
      }

      &__clear {
        font-size: calculateSize(16);
        line-height: calculateSize(26);
        color: $colorGreen;
        font-weight: 600;
        text-decoration: underline;
        margin-top: 30px;
        cursor: pointer;
      }

      &__hamburger {
        @include screen-min($mobile) {
          display: none;
        }
      }

      &__bottom {
        @include screen-max($mobile) {
          position: fixed;
          padding: 10px 50px 32px;
          background-color: #ffffff;
          left: 0;
          bottom: 0;
          z-index: 1;
          width: 100%;
          margin: 0;
        }
      }

      .filter {
        margin-bottom: 39px;

        &__parent {
          font-size: calculateSize(18);
          line-height: calculateSize(22);
          color: $colorGreen;
          font-weight: 700;
          padding-bottom: 12px;
          margin-bottom: 22px;
        }

        &__child {
          font-size: calculateSize(16);
          line-height: calculateSize(24);
          color: $colorGreen;
          font-weight: 600;
          display: flex;

          &:not(:last-child) {
            margin-bottom: 10px;
          }
        }

        @include screen-max($mobile) {
          width: 100%;
        }
      }

      .button {
        min-width: initial;
        width: 100%;
      }
    }

    &__products {
      display: flex;
      flex-wrap: wrap;
      margin: 30px -14px -15px;
      min-height: 239px;

      @include screen-max($mobile) {
        margin: 20px -14px -15px;
      }

      .product {
        width: calc(100% / 3 - 28px);
        margin: 15px 14px;

        @include screen-max(lg) {
          width: calc(100% / 2 - 28px);
        }

        @include screen-max(sm) {
          width: calc(100% - 28px);
          min-height: 326px;
        }
      }
    }

    &__main {
      @include screen-max($mobile) {
        flex-direction: column-reverse;
      }

      .c-left {
        &__item {
          &:not(:last-child) {
            margin-bottom: 58px;

            @include screen-max($mobile) {
              margin-bottom: 36px;
            }
          }

          &__title {
            color: $colorGreen;
            padding-bottom: 22px;
            margin-bottom: 36px;
          }
        }
      }

      .c-right {
        text-align: center;

        @include screen-max($mobile) {
          margin-bottom: 50px;
        }

        &__title {
          line-height: calculateSize(46);
          margin-bottom: 30px;
          margin-top: 40px;

          @include screen-max($mobile) {
            margin-top: 32px;
            margin-bottom: 28px;
            font-size: calculateSize(28);
            line-height: calculateSize(37);
          }
        }

        &__text {
          text-align: center;
          font-size: calculateSize(18);
          line-height: calculateSize(27);
          font-weight: 700;

          @include screen-max(sm) {
            display: flex;
            flex-direction: column;
          }

          &:not(:last-child) {
            margin-bottom: 16px;
          }

          a {
            text-decoration: underline;
            color: $colorGreen;
          }
        }

        &__image {
          @include screen-max(xl) {
            max-width: 100%;
          }

          @include screen-max(sm) {
            max-width: 80%;
          }
        }
      }
    }

    &__header {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding-bottom: 14px;

      @include screen-max($mobile) {
        padding-bottom: 20px;
      }

      &.only-mobile {
        @include screen-min($mobile) {
          display: none;
        }
      }

      &__shop {
        font-size: calculateSize(16);
        line-height: calculateSize(18);
        font-weight: 700;
        color: $colorGreen;

        @include screen-min($mobile) {
          display: none;
        }
      }
    }

    .steps {
      margin-bottom: 80px;

      @include screen-max(lg) {
        flex-direction: column;
      }

      @include screen-max($mobile) {
        margin-top: 25px;
        margin-bottom: 36px;
      }

      &__title {
        color: $colorGreen;
        margin-bottom: 50px;

        @include screen-max($mobile) {
          display: none;
        }
      }

      &__items {
        & > * {
          display: flex;
          align-items: center;
        }

        & > * {
          &:not(:last-child) {
            @include screen-max(lg) {
              margin-bottom: 16px;
            }
          }
        }
      }

      &__step {
        &__number {
          position: relative;
          display: flex;
          align-items: center;
          justify-content: center;

          span {
            position: absolute;
            font-size: calculateSize(18);
            line-height: calculateSize(22);
            font-weight: 700;
            color: $colorGreen;
          }
        }

        &__text {
          font-size: calculateSize(14);
          line-height: calculateSize(22);
          font-weight: 600;
          color: $colorGreen;
          padding-left: 16px;

          @include screen-max($mobile) {
            font-size: calculateSize(12);
            line-height: calculateSize(18);
          }

          @include screen-max(sm) {
            font-size: calculateSize(10);
            line-height: calculateSize(16);
          }
        }
      }
    }
  }
}
